# -*- rpm-spec -*-

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

#for el6
%define with_sysv 0
%define with_upstart 1
%define with_systemd 0

%define HV_COMMON_OPTIONS max_phys_cpus=256
%define COMMON_OPTIONS DESTDIR=%{buildroot} %{?_smp_mflags}

# For 32bit dom0 userspace, we need to cross compile a 64bit Xen
%ifarch %ix86
%define HVSOR_OPTIONS %{COMMON_OPTIONS} XEN_TARGET_ARCH=x86_64 %{HV_COMMON_OPTIONS} CROSS_COMPILE=x86_64-linux-gnu-
%define TOOLS_OPTIONS %{COMMON_OPTIONS} XEN_TARGET_ARCH=x86_32 debug=n
%endif

%define vendor_version -xs139667

# For 64bit
%ifarch x86_64
%define HVSOR_OPTIONS %{COMMON_OPTIONS} XEN_TARGET_ARCH=x86_64 %{HV_COMMON_OPTIONS}
%define TOOLS_OPTIONS %{COMMON_OPTIONS} XEN_TARGET_ARCH=x86_64 debug=n
%endif

Summary: Xen is a virtual machine monitor
Name:    xen
Version: 4.4.1
Release: 1.9.0.654.28981
License: GPL
Group:   System/Hypervisor
URL:     http://www.xen.org
Source0: %{name}-%{version}.tar.bz2
Source1: ipxe.tar.gz
Source2: sysconfig_kernel-xen
Source3: xl.conf
%if %with_upstart
Source4: upstart_xenstored.conf
Source5: upstart_xenconsoled.conf
%endif
Patch0:  xen-development.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: i686 x86_64

#Cross complier
%ifarch %ix86
BuildRequires: gcc-x86_64-linux-gnu binutils-x86_64-linux-gnu
%endif

BuildRequires: python-devel perl zlib-devel
# modern compressed kernels
BuildRequires: bzip2-devel
# xentop
BuildRequires: ncurses-devel
# for the VMX "bios"
BuildRequires: dev86
# libuuid
BuildRequires: e2fsprogs-devel
%if 0%{?centos}%{!?centos:5} < 6 && 0%{?rhel}%{!?rhel:5} < 6
#libext4fs
BuildRequires: e4fsprogs-devel
%endif
#tools
BuildRequires: yajl-devel

BuildRequires: ocaml ocaml-findlib

%description
Xen Hypervisor.

%package hypervisor
Summary: The Xen Hypervisor
Group: System/Hypervisor
%description hypervisor
This package contains the Xen Hypervisor.

%package hypervisor-debuginfo
Summary: The Xen Hypervisor debug information
Group: Development/Debug
%description hypervisor-debuginfo
This package contains the Xen Hypervisor debug information.

%package tools
Summary: Xen Hypervisor general tools
Requires: xen-libs = %{version}
Group: System/Base
%description tools
This package contains the Xen Hypervisor general tools for all domains.

%package devel
Summary: The Xen Hypervisor public headers
Group: Development/Libraries
%description devel
This package contains the Xen Hypervisor public header files.

%package libs
Summary: Xen Hypervisor general libraries
Group: System/Libraries
%description libs
This package contains the Xen Hypervisor general libraries for all domains.

%package libs-devel
Summary: Xen Hypervisor general development libraries
Requires: xen-libs = %{version}
Requires: xen-devel = %{version}
Group: Development/Libraries
%description libs-devel
This package contains the Xen Hypervisor general development for all domains.

%package dom0-tools
Summary: Xen Hypervisor Domain 0 tools
Requires: xen-dom0-libs = %{version}
Requires: xen-tools = %{version}
Group: System/Base
%description dom0-tools
This package contains the Xen Hypervisor control domain tools.

%package dom0-libs
Summary: Xen Hypervisor Domain 0 libraries
Requires: xen-hypervisor = %{version}
Group: System/Libraries
%description dom0-libs
This package contains the Xen Hypervisor control domain libraries.

%package dom0-libs-devel
Summary: Xen Hypervisor Domain 0 headers
Requires: xen-devel = %{version}
Requires: xen-dom0-libs = %{version}

# Temp until the build dependencies are properly propagated
Provides: xen-dom0-devel = %{version}
Group: Development/Libraries
%description dom0-libs-devel
This package contains the Xen Hypervisor control domain headers.

%package ocaml-libs
Summary: Xen Hypervisor ocaml libraries
Requires: xen-dom0-libs = %{version}
Group: System/Libraries
%description ocaml-libs
This package contains the Xen Hypervisor ocaml libraries.

%package ocaml-devel
Summary: Xen Hypervisor ocaml headers
Requires: xen-ocaml-libs = %{version}
Requires: xen-dom0-libs-devel = %{version}
Group: Development/Libraries
%description ocaml-devel
This package contains the Xen Hypervisor ocaml headers.

%package installer-files
Summary: Xen files for the XenServer installer
Group: System Environment/Base
%description installer-files
This package contains the minimal subset of libraries and binaries required in
the XenServer installer environment.

%prep
%setup -q
mkdir -p tools/firmware/etherboot/ipxe/
cp %{SOURCE1} tools/firmware/etherboot/ipxe.tar.gz
rm -f tools/firmware/etherboot/patches/series
%patch0 -p1 -b ~development
echo "28608:4f188f9bc7c4, pq 654:2ecd6ec42793" > .scmversion

./configure --prefix="/usr" --libdir="%{_libdir}" \
	--disable-kernels --disable-seabios --disable-stubdom --disable-xsmpolicy \
	--with-system-qemu=%{_libdir}/xen/bin/qemu-system-i386

# this line is required as some version of rpmbuild does
# not compile debuginfo package if this section is not present
%build
true

%install

# The existence of this directory causes ocamlfind to put things in it
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs

mkdir -p %{buildroot}/boot/

# Required directory for eliloader to run
mkdir -p %{buildroot}/var/run/xend/boot

# Regular build of Xen
%{__make} %{HVSOR_OPTIONS} -C xen XEN_VENDORVERSION=%{vendor_version} debug=n build
%{__make} %{HVSOR_OPTIONS} -C xen XEN_VENDORVERSION=%{vendor_version} debug=n MAP

cp xen/xen.gz %{buildroot}/boot/%{name}-%{version}%{vendor_version}.gz
cp xen/System.map %{buildroot}/boot/%{name}-%{version}%{vendor_version}.map
cp xen/xen-syms %{buildroot}/boot/%{name}-syms-%{version}%{vendor_version}

# Debug build of Xen
%{__make} %{HVSOR_OPTIONS} -C xen clean
%{__make} %{HVSOR_OPTIONS} -C xen XEN_VENDORVERSION=%{vendor_version}-d debug=y build
%{__make} %{HVSOR_OPTIONS} -C xen XEN_VENDORVERSION=%{vendor_version}-d debug=y MAP

cp xen/xen.gz %{buildroot}/boot/%{name}-%{version}%{vendor_version}-d.gz
cp xen/System.map %{buildroot}/boot/%{name}-%{version}%{vendor_version}-d.map
cp xen/xen-syms %{buildroot}/boot/%{name}-syms-%{version}%{vendor_version}-d

# Build tools and man pages
%{__make} %{TOOLS_OPTIONS} -C tools install
%{__make} %{TOOLS_OPTIONS} -C docs install-man-pages
%{__make} %{TOOLS_OPTIONS} -C tools/tests/mce-test/tools install

rm -f %{buildroot}/usr/share/doc/xen/README.xenmon

%{__install} -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/kernel-xen
%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xen/xl.conf

%if %with_upstart
%{__install} -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/init/xenstored.conf
%{__install} -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/init/xenconsoled.conf
%endif

%{__install} -d -m 755 %{buildroot}/lib/udev/rules.d
%{__mv} %{buildroot}%{_sysconfdir}/udev/rules.d/xen-backend.rules %{buildroot}/lib/udev/rules.d/90-xen-backend.rules

# Copy ocaml xenstored to legacy location until we can fix up the init scripts
mkdir -p $RPM_BUILD_ROOT/opt/xensource/bin/
cp -f %{buildroot}%{_sbindir}/oxenstored %{buildroot}/opt/xensource/bin/xenstored
ln -s convert-legacy-stream %{buildroot}%{_libdir}/%{name}/bin/legacy.py

# Nuke the xenlight libraries
rm -rf %{buildroot}%{_libdir}/ocaml/xenlight
rm -rf %{buildroot}%{_libdir}/ocaml/xentoollog
rm -rf %{buildroot}%{_libdir}/ocaml/stublibs/dllxenlight*
rm -rf %{buildroot}%{_libdir}/ocaml/stublibs/dllxentoollog*

# do not strip symbols some unstripped xen
chmod -x %{buildroot}/boot/xen-syms-*

# Compat link for xapi
mkdir -p %{buildroot}/opt/xensource/libexec
ln %{buildroot}%{_libdir}/%{name}/bin/xenguest %{buildroot}/opt/xensource/libexec

%clean
rm -rf $RPM_BUILD_ROOT

%files hypervisor
%defattr(-,root,root,-)
/boot/%{name}-%{version}%{vendor_version}.gz
/boot/%{name}-%{version}%{vendor_version}.map
/boot/%{name}-%{version}%{vendor_version}-d.gz
/boot/%{name}-%{version}%{vendor_version}-d.map
%config %{_sysconfdir}/sysconfig/kernel-xen

%files hypervisor-debuginfo
%defattr(-,root,root,-)
/boot/%{name}-syms-%{version}%{vendor_version}
/boot/%{name}-syms-%{version}%{vendor_version}-d

%files tools
%defattr(-,root,root,-)
%{_bindir}/xenstore
%{_bindir}/xenstore-chmod
%{_bindir}/xenstore-control
%{_bindir}/xenstore-exists
%{_bindir}/xenstore-list
%{_bindir}/xenstore-ls
%{_bindir}/xenstore-read
%{_bindir}/xenstore-rm
%{_bindir}/xenstore-watch
%{_bindir}/xenstore-write
%{python_sitearch}/%{name}/__init__.py*
%{python_sitearch}/%{name}/lowlevel/__init__.py*
%{python_sitearch}/%{name}/lowlevel/xs.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/COPYING
%{_includedir}/%{name}/arch-arm.h
%{_includedir}/%{name}/arch-arm/hvm/save.h
%{_includedir}/%{name}/arch-x86/cpuid.h
%{_includedir}/%{name}/arch-x86/hvm/save.h
%{_includedir}/%{name}/arch-x86/xen-mca.h
%{_includedir}/%{name}/arch-x86/xen-x86_32.h
%{_includedir}/%{name}/arch-x86/xen-x86_64.h
%{_includedir}/%{name}/arch-x86/xen.h
%{_includedir}/%{name}/arch-x86_32.h
%{_includedir}/%{name}/arch-x86_64.h
%{_includedir}/%{name}/callback.h
%{_includedir}/%{name}/dom0_ops.h
%{_includedir}/%{name}/domctl.h
%{_includedir}/%{name}/elfnote.h
%{_includedir}/%{name}/event_channel.h
%{_includedir}/%{name}/features.h
%{_includedir}/%{name}/foreign/arm32.h
%{_includedir}/%{name}/foreign/arm64.h
%{_includedir}/%{name}/foreign/x86_32.h
%{_includedir}/%{name}/foreign/x86_64.h
%{_includedir}/%{name}/gcov.h
%{_includedir}/%{name}/grant_table.h
%{_includedir}/%{name}/hvm/e820.h
%{_includedir}/%{name}/hvm/hvm_info_table.h
%{_includedir}/%{name}/hvm/hvm_op.h
%{_includedir}/%{name}/hvm/hvm_xs_strings.h
%{_includedir}/%{name}/hvm/ioreq.h
%{_includedir}/%{name}/hvm/params.h
%{_includedir}/%{name}/hvm/pvdrivers.h
%{_includedir}/%{name}/hvm/save.h
%{_includedir}/%{name}/io/blkif.h
%{_includedir}/%{name}/io/console.h
%{_includedir}/%{name}/io/fbif.h
%{_includedir}/%{name}/io/fsif.h
%{_includedir}/%{name}/io/kbdif.h
%{_includedir}/%{name}/io/libxenvchan.h
%{_includedir}/%{name}/io/netif.h
%{_includedir}/%{name}/io/pciif.h
%{_includedir}/%{name}/io/protocols.h
%{_includedir}/%{name}/io/ring.h
%{_includedir}/%{name}/io/tpmif.h
%{_includedir}/%{name}/io/usbif.h
%{_includedir}/%{name}/io/vscsiif.h
%{_includedir}/%{name}/io/xenbus.h
%{_includedir}/%{name}/io/xs_wire.h
%{_includedir}/%{name}/kexec.h
%{_includedir}/%{name}/mem_event.h
%{_includedir}/%{name}/memory.h
%{_includedir}/%{name}/nmi.h
%{_includedir}/%{name}/physdev.h
%{_includedir}/%{name}/platform.h
%{_includedir}/%{name}/sched.h
%{_includedir}/%{name}/sys/evtchn.h
%{_includedir}/%{name}/sys/gntalloc.h
%{_includedir}/%{name}/sys/gntdev.h
%{_includedir}/%{name}/sys/privcmd.h
%{_includedir}/%{name}/sys/xenbus_dev.h
%{_includedir}/%{name}/sysctl.h
%{_includedir}/%{name}/tmem.h
%{_includedir}/%{name}/trace.h
%{_includedir}/%{name}/vcpu.h
%{_includedir}/%{name}/version.h
%{_includedir}/%{name}/xen-compat.h
%{_includedir}/%{name}/xen.h
%{_includedir}/%{name}/xencomm.h
%{_includedir}/%{name}/xenoprof.h
%{_includedir}/%{name}/xsm/flask_op.h

%files libs
%defattr(-,root,root,-)
%{_libdir}/libxenstore.so.3.0
%{_libdir}/libxenstore.so.3.0.3
%{_libdir}/libxenvchan.so.1.0
%{_libdir}/libxenvchan.so.1.0.0

%files libs-devel
%defattr(-,root,root,-)
# Lib XenStore
%{_includedir}/xenstore.h
%{_includedir}/xenstore_lib.h
%{_libdir}/libxenstore.a
%{_libdir}/libxenstore.so
# Legacy XenStore header files, excluded to discourage their use
%exclude %{_includedir}/xs.h
%exclude %{_includedir}/xenstore-compat/xs.h
%exclude %{_includedir}/xs_lib.h
%exclude %{_includedir}/xenstore-compat/xs_lib.h
# Lib Xen Vchan
%{_includedir}/libxenvchan.h
%{_libdir}/libxenvchan.a
%{_libdir}/libxenvchan.so

%files dom0-tools
%defattr(-,root,root,-)
%if %with_upstart
%{_sysconfdir}/init/*
%endif
%{_sysconfdir}/bash_completion.d/xl.sh
%{_sysconfdir}/pygrub/rules.d/oracle-5.x
%exclude %{_sysconfdir}/rc.d/init.d/xencommons
%exclude %{_sysconfdir}/rc.d/init.d/xendomains
%exclude %{_sysconfdir}/sysconfig/xencommons
%exclude %{_sysconfdir}/sysconfig/xendomains
%{_sysconfdir}/rc.d/init.d/xen-watchdog
%config %{_sysconfdir}/xen/oxenstored.conf
%{_sysconfdir}/xen/scripts/block
%{_sysconfdir}/xen/scripts/block-common.sh
%{_sysconfdir}/xen/scripts/block-enbd
%{_sysconfdir}/xen/scripts/block-iscsi
%{_sysconfdir}/xen/scripts/block-nbd
%{_sysconfdir}/xen/scripts/external-device-migrate
%{_sysconfdir}/xen/scripts/hotplugpath.sh
%{_sysconfdir}/xen/scripts/locking.sh
%{_sysconfdir}/xen/scripts/logging.sh
%{_sysconfdir}/xen/scripts/network-bridge
%{_sysconfdir}/xen/scripts/network-nat
%{_sysconfdir}/xen/scripts/network-route
%{_sysconfdir}/xen/scripts/vif-bridge
%{_sysconfdir}/xen/scripts/vif-common.sh
%{_sysconfdir}/xen/scripts/vif-nat
%{_sysconfdir}/xen/scripts/vif-openvswitch
%{_sysconfdir}/xen/scripts/vif-route
%{_sysconfdir}/xen/scripts/vif-setup
%{_sysconfdir}/xen/scripts/vif2
%{_sysconfdir}/xen/scripts/vscsi
%{_sysconfdir}/xen/scripts/xen-hotplug-cleanup
%{_sysconfdir}/xen/scripts/xen-hotplug-common.sh
%{_sysconfdir}/xen/scripts/xen-network-common.sh
%{_sysconfdir}/xen/scripts/xen-script-common.sh
%config %{_sysconfdir}/xen/xl.conf
/opt/xensource/bin/xenstored
%{_bindir}/pygrub
%{_bindir}/xen-detect
%{_bindir}/xencons
%{_bindir}/xencov_split
%{_bindir}/xentrace
%{_bindir}/xentrace_format
%{_bindir}/xentrace_setsize
%{python_sitearch}/fsimage.so
%{python_sitearch}/grub/ExtLinuxConf.py*
%{python_sitearch}/grub/GrubConf.py*
%{python_sitearch}/grub/LiloConf.py*
%{python_sitearch}/grub/__init__.py*
#{python_sitearch}/xen/__init__.py*           - Must not duplicate xen-tools
%{python_sitearch}/xen/streamv2/__init__.py*
%{python_sitearch}/xen/streamv2/format.py*
#{python_sitearch}/xen/lowlevel/__init__.py*  - Must not duplicate xen-tools
%{python_sitearch}/xen/lowlevel/ptsname.so
%{python_sitearch}/xen/lowlevel/xc.so
/lib/udev/rules.d/90-xen-backend.rules
%{_libdir}/%{name}/bin/convert-legacy-stream
%{_libdir}/%{name}/bin/legacy.py*
%{_libdir}/%{name}/bin/libxl-save-helper
%{_libdir}/%{name}/bin/lsevtchn
%{_libdir}/%{name}/bin/pygrub
%{_libdir}/%{name}/bin/readnotes
%{_libdir}/%{name}/bin/verify-stream-v2
%{_libdir}/%{name}/bin/xc_restore
%{_libdir}/%{name}/bin/xc_save
%{_libdir}/%{name}/bin/xenconsole
%{_libdir}/%{name}/bin/xenctx
%{_libdir}/%{name}/bin/xenguest
%{_libdir}/%{name}/bin/xenpaging
%{_libdir}/%{name}/bin/xenpvnetboot
# Package xenguest link for XAPI compatibility
/opt/xensource/libexec

# This is currently hard coded in the Xen build system, which breaks for 64bit builds
/usr/lib/xen/boot/hvmloader

%{_sbindir}/kdd
%{_sbindir}/oxenstored
%{_sbindir}/xen-hptool
%{_sbindir}/xen-hvmcrash
%{_sbindir}/xen-hvmctx
%{_sbindir}/xen-lowmemd
%{_sbindir}/xen-mceinj
%{_sbindir}/xen-mfndump
%{_sbindir}/xen-ringwatch
%{_sbindir}/xenbaked
%{_sbindir}/xenconsoled
%{_sbindir}/xencov
%{_sbindir}/xenmon.py*
%{_sbindir}/xenperf
%{_sbindir}/xenpm
%{_sbindir}/xenpmd
%{_sbindir}/xenstored
%{_sbindir}/xentop
%{_sbindir}/xentrace_setmask
%{_sbindir}/xenwatchdogd
%{_sbindir}/xl
%{_mandir}/man1/xentop.1.gz
%{_mandir}/man1/xentrace_format.1.gz
%{_mandir}/man1/xenstore-chmod.1.gz
%{_mandir}/man1/xenstore-ls.1.gz
%{_mandir}/man1/xenstore.1.gz
%{_mandir}/man1/xl.1.gz
%{_mandir}/man5/xl.cfg.5.gz
%{_mandir}/man5/xl.conf.5.gz
%{_mandir}/man5/xlcpupool.cfg.5.gz
%{_mandir}/man8/xentrace.8.gz
%dir /var/lib/xen
%dir /var/log/xen
%dir /var/run/xend/boot

%files dom0-libs
%defattr(-,root,root,-)
%{_libdir}/fs/btrfs/fsimage.so
%{_libdir}/fs/ext2fs-lib/fsimage.so
%{_libdir}/fs/fat/fsimage.so
%{_libdir}/fs/iso9660/fsimage.so
%{_libdir}/fs/reiserfs/fsimage.so
%{_libdir}/fs/ufs/fsimage.so
%{_libdir}/fs/xfs/fsimage.so
%{_libdir}/fs/zfs/fsimage.so
%{_libdir}/libfsimage.so.1.0
%{_libdir}/libfsimage.so.1.0.0
%{_libdir}/libxenctrl.so.4.4
%{_libdir}/libxenctrl.so.4.4.0
%{_libdir}/libxenguest.so.4.4
%{_libdir}/libxenguest.so.4.4.0
%{_libdir}/libxenlight.so.4.4
%{_libdir}/libxenlight.so.4.4.0
%{_libdir}/libxenstat.so.0
%{_libdir}/libxenstat.so.0.0
%{_libdir}/libxlutil.so.4.3
%{_libdir}/libxlutil.so.4.3.0

%files dom0-libs-devel
%defattr(-,root,root,-)
%{_includedir}/fsimage.h
%{_includedir}/fsimage_grub.h
%{_includedir}/fsimage_plugin.h
%{_libdir}/libfsimage.so

%{_includedir}/xenctrl.h
%{_includedir}/xenctrlosdep.h
%{_libdir}/libxenctrl.a
%{_libdir}/libxenctrl.so

%{_includedir}/xenguest.h
%{_includedir}/xentoollog.h
%{_libdir}/libxenguest.a
%{_libdir}/libxenguest.so

%{_includedir}/_libxl_list.h
%{_includedir}/_libxl_types.h
%{_includedir}/_libxl_types_json.h
%{_includedir}/libxl.h
%{_includedir}/libxl_event.h
%{_includedir}/libxl_json.h
%{_includedir}/libxl_utils.h
%{_includedir}/libxl_uuid.h
%{_libdir}/libxenlight.a
%{_libdir}/libxenlight.so
%{_libdir}/libxlutil.a
%{_libdir}/libxlutil.so

%{_includedir}/xenstat.h
%{_libdir}/libxenstat.a
%{_libdir}/libxenstat.so

%files ocaml-libs
%defattr(-,root,root,-)
%{_libdir}/ocaml/stublibs/dllgnt_stubs.so
%{_libdir}/ocaml/stublibs/dllgnt_stubs.so.owner
%{_libdir}/ocaml/stublibs/dllxenbus_stubs.so
%{_libdir}/ocaml/stublibs/dllxenbus_stubs.so.owner
%{_libdir}/ocaml/stublibs/dllxenctrl_stubs.so
%{_libdir}/ocaml/stublibs/dllxenctrl_stubs.so.owner
%{_libdir}/ocaml/stublibs/dllxeneventchn_stubs.so
%{_libdir}/ocaml/stublibs/dllxeneventchn_stubs.so.owner
%{_libdir}/ocaml/stublibs/dllxenmmap_stubs.so
%{_libdir}/ocaml/stublibs/dllxenmmap_stubs.so.owner
%{_libdir}/ocaml/gnt/META
%{_libdir}/ocaml/gnt/gnt.cma
%{_libdir}/ocaml/xenbus/META
%{_libdir}/ocaml/xenbus/xenbus.cma
%{_libdir}/ocaml/xenbus/xenbus.cmo
%{_libdir}/ocaml/xenctrl/META
%{_libdir}/ocaml/xenctrl/xenctrl.cma
%{_libdir}/ocaml/xeneventchn/META
%{_libdir}/ocaml/xeneventchn/xeneventchn.cma
%{_libdir}/ocaml/xenmmap/META
%{_libdir}/ocaml/xenmmap/xenmmap.cma
%{_libdir}/ocaml/xenstore/META
%{_libdir}/ocaml/xenstore/xenstore.cma
%{_libdir}/ocaml/xenstore/xenstore.cmo

%files ocaml-devel
%defattr(-,root,root,-)
%{_libdir}/ocaml/gnt/libgnt_stubs.a
%{_libdir}/ocaml/gnt/gnt.a
%{_libdir}/ocaml/gnt/gnt.cmi
%{_libdir}/ocaml/gnt/gnt.cmx
%{_libdir}/ocaml/gnt/gnt.cmxa
%{_libdir}/ocaml/xenbus/libxenbus_stubs.a
%{_libdir}/ocaml/xenbus/xenbus.a
%{_libdir}/ocaml/xenbus/xenbus.cmi
%{_libdir}/ocaml/xenbus/xenbus.cmx
%{_libdir}/ocaml/xenbus/xenbus.cmxa
%{_libdir}/ocaml/xenctrl/libxenctrl_stubs.a
%{_libdir}/ocaml/xenctrl/xenctrl.a
%{_libdir}/ocaml/xenctrl/xenctrl.cmi
%{_libdir}/ocaml/xenctrl/xenctrl.cmx
%{_libdir}/ocaml/xenctrl/xenctrl.cmxa
%{_libdir}/ocaml/xeneventchn/libxeneventchn_stubs.a
%{_libdir}/ocaml/xeneventchn/xeneventchn.a
%{_libdir}/ocaml/xeneventchn/xeneventchn.cmi
%{_libdir}/ocaml/xeneventchn/xeneventchn.cmx
%{_libdir}/ocaml/xeneventchn/xeneventchn.cmxa
%{_libdir}/ocaml/xenmmap/libxenmmap_stubs.a
%{_libdir}/ocaml/xenmmap/xenmmap.a
%{_libdir}/ocaml/xenmmap/xenmmap.cmi
%{_libdir}/ocaml/xenmmap/xenmmap.cmx
%{_libdir}/ocaml/xenmmap/xenmmap.cmxa
%{_libdir}/ocaml/xenstore/xenstore.a
%{_libdir}/ocaml/xenstore/xenstore.cmi
%{_libdir}/ocaml/xenstore/xenstore.cmx
%{_libdir}/ocaml/xenstore/xenstore.cmxa

%files installer-files
%{_libdir}/libxenctrl.so.4.4
%{_libdir}/libxenctrl.so.4.4.0
%{_libdir}/libxenguest.so.4.4
%{_libdir}/libxenguest.so.4.4.0
%{python_sitearch}/xen/__init__.py*
%{python_sitearch}/xen/lowlevel/__init__.py*
%{python_sitearch}/xen/lowlevel/xc.so
%{_bindir}/xeninfo

%doc

%post hypervisor
ln -sf %{name}-%{version}%{vendor_version}-d.gz /boot/xen-debug.gz
ln -sf %{name}-%{version}%{vendor_version}.gz /boot/xen.gz

if [ -e %{_sysconfdir}/sysconfig/kernel ] && ! grep -q '^HYPERVISOR' %{_sysconfdir}/sysconfig/kernel ; then
  cat %{_sysconfdir}/sysconfig/kernel-xen >> %{_sysconfdir}/sysconfig/kernel
fi

# HACK - upstream udev rule interacts with the one in xenopsd
%triggerin -n xen-dom0-tools -- xenopsd
rm -f /lib/udev/rules.d/90-xen-backend.rules

%changelog
